Subject: Re: Probably trivial: LaTeX FMT files
From: "Gerrit P. Haase" <[email-masked]>
To: Rui Pedro Chaves <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Oct 2001 12:51:37 +0200

> Rui Pedro Chaves schrieb am 2001-10-10 10:35:

>
>Greetings Gerrit,
>
>I apologise for taking your time once more, but I
>ran the "texconfig" (times four) procedure and
>CygWin kept complaining about:
>
>No $TEXMFMAIN in TEXMF.CMF file
>Set TEXTMFCNF variable to the directory where tetex's
>Texmf.cnf is in

 I suggest you have no 'texmf.cnf' file?

There are three files in /usr/share/texmf/web2c/,
texmf.cnf.frozen, mktex.cnf.frozen, fmtutil.cnf.frozen,
they need to be copied to texmf.cnf, mktex.cnf and fmtutil.cnf
do not move/rename them but do copy them so you have a backup now.

From the readme:
"In this distribution the TDS is assumed to be installed at
  /usr/share/texmf"

If *not*, make a symlink from the dir where it is installed:
$ ln -s /where/your/texmftree/is/ /usr/share/texmf/

>mentioning also a path that doesn't exist: /usr/bin/texconfig

/usr/bin/texconfig is the executable for configuring.
(/usr/bin is mounted to /bin)

Run texconfig now (three times):
$ texconfig confall
$ texconfig rehash
$ texconfig init

That should be all for now.

>The thing is that a variable TEXMFMAIN *does* exist in the
>file "texmf.cmf" (unless I'm looking at it in the wrong way).

If it is still not working, do:
$ export TEXMFMAIN=/usr/share/texmf
and run texconfig (the three times) again.

>I apologise once more if the problem is trivial and
>I'm just being an idiot about it.

No Problem, please send those mails in future to the cygwin-list 
because others may benefit from our conversatioon, too.

Gerrit

-- 
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/